<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*" %>
<%@ page import="Database.LoginAccess" %>
<%@ page import="Database.pdfViewer" %>
<%@ page import="Database.docViewer" %>
<%@ page import="Database.Backend" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Verification Window</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css"/>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
<style type="text/css">
body{
    background-image: url('images/wallpaper.jpg');
    background-repeat: no-repeat;
    background-attachment: fixed;
}
.white{
		border-radius: 15px;
	    background-color: #FFFFFF;
}
</style>
</head>
<% 
String username=(String)session.getAttribute("username");
if(username==null || "".equals(username)){
	out.println(session.getAttribute("username"));
	response.sendRedirect("login.jsp");
}
%>
<body>
<div id="navbar-main">
    <div class="navbar navbar-inverse navbar-fixed-top"> 
    <div class="container">
    <div class="navbar-collapse collapse"> 
    	<ul class="nav navbar-left">
        	<li><h3 class="smoothScroll">RESUME GENERATOR</h3></li>
         </ul>
    	<ul class="nav navbar-nav navbar-right">
        	<li><a href="pc.jsp" class="smoothScroll">Back</a></li>
            <li><a href="logout.jsp" class="smoothScroll">Logout</a></li>
            <li><a class="smoothScroll"><%out.print(session.getAttribute("username"));%></a></li>
         </ul>
	</div>
	</div> 
	</div> 
</div>
<br><br>
<br><br>
<div class="container-fluid">
<div class="row">
<div class="col-sm-5 white">
<h3>List of Resume to verify</h3>
<br>
<%  ArrayList<String> listofUser=Backend.getUsersList((String)session.getAttribute("username"));%>
    <form action="userViewer" method="post">
    <div class="btn-group">
<%	
	String s= "userViewer?username="+(String)session.getAttribute("username");
	for(int i=0;i<listofUser.size();i++){
		ArrayList<String> listofVersions=Backend.getVersionList(listofUser.get(i));
		for(int j=0;j<listofVersions.size();j++){
%>
    <button type="submit" class="btn btn-primary 
    <%if(listofUser.get(i).equals((String)request.getAttribute("user")) && Integer.parseInt((String)request.getAttribute("version"))==Integer.parseInt(listofVersions.get(j))) 
    		out.print("active");%>"
    style="height:100% width:100% float:right;" name="<%out.print(listofUser.get(i)+" Version "+listofVersions.get(j));%>"
    		<% out.print(" onclick=\"form.action='"+s+"&usern="+listofUser.get(i)+"&version="+listofVersions.get(j)+"';\"");%>">
    		<%
    		out.print(listofUser.get(i)+" Version "+listofVersions.get(j));
    		if(Backend.verified(listofUser.get(i),Integer.parseInt(listofVersions.get(j)))) out.print("<img src=\""+request.getContextPath()+"/images/verified.png\" height=\"15\"></image>");  
   			else out.print("<img src=\""+request.getContextPath()+"/images/not_verified.png\" height=\"15\"></image>");
   			%>
    		</button>
    <%
    		}
	}
    %>
    </div>
    </form>
    <br><br>
    <div>
<% 
	String usern="";
	String usern1=(String)session.getAttribute("usern");
	if(!"first".equalsIgnoreCase(usern1)){
		usern=(String)request.getAttribute("usern");
		if(!"".equalsIgnoreCase(usern)){
			ArrayList<String> docnames=Backend.getDocsList(usern);
			if(docnames.size()==0)out.print("<h4>No documents uploaded by <b>"+usern+"</b></h4>");
			else out.print("<h4>Documents for <b>"+usern+"</b></h4>");
			for(int i=0;i<docnames.size();i++){
				out.println("<button class=\"btn btn-info\" data-toggle=\"modal\" data-target=\"#myModal"+i+"\" name=\""+docnames.get(i)+"\" value=\""+docnames.get(i)+"\">"+docnames.get(i)+"</button>");
				Backend.downloadDoc(docnames.get(i));
			%>
  <!-- Modal -->
  <div class="modal fade" id="myModal<%out.print(i);%>" role="dialog">
    <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title"><%out.print(docnames.get(i));%></h4>
        </div>
        <div class="modal-body">
        	<object data="docViewer?docname=<%out.print(docnames.get(i));%>" type="application/pdf" width="100%" height="800px">
    			<a href="docViewer?docname=<%out.print(docnames.get(i));%>">Download file.pdf</a>
			</object>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>
  </div>
<%
			}
		}
	%>
<br>
<br>
<div>
	<form class="form-inline" action="<%out.print("verifyRes?user="+request.getAttribute("user")+"&version="+request.getAttribute("version"));%>" method="post">
		<input class="btn btn-success" type="submit" name="Verify" value="Verify" onclick="form.action='<%out.print("verifyRes?user="+request.getAttribute("user")+"&version="+request.getAttribute("version"));%>';">
		<input class="btn btn-danger" type="submit" name="Revert Verification" value="Revert Verification" onclick="form.action='<%out.print("unverifyRes?user="+request.getAttribute("user")+"&version="+request.getAttribute("version"));%>';">
	</form>
	<br>
	<button class="btn btn-primary" onclick="myFunction()">Reload status</button>
	<br>
	<br>
	<form action="addRemark" method="post">
		<input type="hidden" name="user" value="<%out.print(request.getAttribute("user"));%>">
		<input type="hidden" name="version" value="<%out.print(request.getAttribute("version"));%>">
		<input type="text" class="form-control" name="remark" class="text" placeholder="remarks"><br>
		<input type="submit" class="form-control" name="submit" class="btn btn-default"><br>
	</form>
	
</div>
<%	}
 %>
</div>
</div>
<%session.setAttribute("usern","");%>
<div class="col-sm-1"></div>
<div class="col-sm-6 white">
<br>
<object data="pdfViewer" type="application/pdf" width="100%" height="800px">
    <a href="pdfViewer">Download file.pdf</a>
</object>
<br><br>
</div>
</div>
</div>
</body>
<script>
function myFunction() {
    location.reload();
}
</script>
</html>