package Database;

import java.io.*;
import java.sql.*;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.util.*;



public class Backend {
	static String dirc="/home/utkarsh/resumeG/";

	public static void printToFile(ArrayList<ArrayList<String>> details){
		try{
		PrintWriter writer = new PrintWriter(dirc+"ach.txt");
		for(int i=0;i<details.get(0).size();i++){
			if(details.get(0).get(i)!=null)	writer.println(details.get(0).get(i));
			if(details.get(1).get(i)!=null)	writer.println(details.get(1).get(i));
		}
		writer.close();
		
		PrintWriter writer1 = new PrintWriter(dirc+"proj.txt");
		writer1.println("*");
		for(int i=0;i<details.get(2).size();i++){
			if(details.get(2).get(i)!="" && details.get(2).get(i)!=null)	writer1.println(details.get(2).get(i));
			if(details.get(3).get(i)!="" && details.get(3).get(i)!=null)	writer1.println(details.get(3).get(i));
			if(details.get(4).get(i)!="" && details.get(4).get(i)!=null)	writer1.println(details.get(4).get(i));
			if(details.get(5).get(i)!="" && details.get(5).get(i)!=null)	writer1.println(details.get(5).get(i));
			if(details.get(6).get(i)!="" && details.get(6).get(i)!=null)	writer1.println(details.get(6).get(i));
			if(details.get(7).get(i)!="" && details.get(7).get(i)!=null)	writer1.println(details.get(7).get(i));
			if(details.get(8).get(i)!="" && details.get(8).get(i)!=null)	writer1.println(details.get(8).get(i));
			if(details.get(9).get(i)!="" && details.get(9).get(i)!=null)	writer1.println(details.get(9).get(i));
			writer1.println("*");
		}
		writer1.close();
		
		PrintWriter writer2 = new PrintWriter(dirc+"skills.txt");
		for(int i=0;i<details.get(10).size();i++){
			if(details.get(10).get(i)!="" && details.get(10).get(i)!=null)	writer2.println(details.get(10).get(i));
			if(details.get(11).get(i)!="" && details.get(11).get(i)!=null)	writer2.println(details.get(11).get(i));
		}
		writer2.close();
		
		PrintWriter writer3 = new PrintWriter(dirc+"ec.txt");
		for(int i=0;i<details.get(12).size();i++){
			System.out.println(details.get(12).get(i));
			if(details.get(12).get(i)!="" && details.get(12).get(i)!=null)	writer3.println(details.get(12).get(i));
			if(details.get(13).get(i)!="" && details.get(13).get(i)!=null)	writer3.println(details.get(13).get(i));
		}
		writer3.close();
		
		PrintWriter writer4 = new PrintWriter(dirc+"theme.txt");
		for(int i=0;i<details.get(14).size();i++){
			System.out.println(details.get(14).get(i));
			if(details.get(14).get(i)!="" && details.get(14).get(i)!=null)	writer4.println(details.get(14).get(i));
		}
		writer4.close();

		}
		catch(FileNotFoundException e){System.out.println(e);}
	}
	
	public static void createResume(ArrayList<ArrayList<String>> details){
		try{
			printToFile(details);
			String command = "bash "+dirc+"remove.sh";
		    Process proc1 = Runtime.getRuntime().exec(command);
			proc1.waitFor();
			System.out.println("Resume Created");
			
		}
		catch(InterruptedException e){
		}
		catch(IOException e){
		}
	}
		
	public static void uploadResume(String id,int version){
		Connection conn=null;
		try{
		File resume=new File(dirc+"temp.pdf");	
		conn=LoginAccess.getConnection();
		String sql = "INSERT INTO submitted_resume VALUES(?,?,?,?,?)";
        PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1,id);
        stmt.setInt(2,version);
        FileInputStream fis = new  FileInputStream(resume);
        stmt.setBinaryStream(3, fis, (int) resume.length());
        stmt.setString(4,"0");
        stmt.setString(5,"");
        stmt.execute();
        System.out.println("Resume Uploaded");
	}catch(SQLException e){System.out.println(e);}catch(FileNotFoundException e){System.out.println(e);}
		finally{
			LoginAccess.closeConnection(conn);
		}

	}
	
	public static void downloadResume(String id,int version,File resume){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		FileOutputStream fos = new FileOutputStream(resume);
		PreparedStatement st=conn.prepareStatement("SELECT resume FROM submitted_resume where username=? and version=? LIMIT 1");
		st.setString(1,id);
		st.setInt(2,version);
		ResultSet rs = st.executeQuery();
		        if (rs != null) {
		            while (rs.next()) {
		            	byte[] fileBytes = new byte[1024];
		                InputStream is = rs.getBinaryStream("resume");
		                while (is.read(fileBytes) > 0) {
		                    fos.write(fileBytes);
		                }
		            }
		            rs.close();
		        }   
		}
		catch (IOException ex) {System.out.println("IO");}
		catch (SQLException ex) {System.out.println(ex);}
		finally{
			LoginAccess.closeConnection(conn);
		}
	}
	
	public static boolean exists(String user,int version){
		boolean ret=false;
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT count(*) FROM submitted_resume where username=? and version=?");
		st.setString(1,user);
		st.setInt(2,version);
		ResultSet rs = st.executeQuery();
		while(rs.next()){
			if(!rs.getString(1).equals("0")) return true;
		}
		}
		catch (SQLException ex) {System.out.println(ex);}
		finally{
			LoginAccess.closeConnection(conn);
		}
		return ret;
	}
		
	public static boolean verified(String user,int version){
		boolean ret=false;
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT verified FROM submitted_resume where username=? and version=?");
		st.setString(1,user);
		st.setInt(2,version);
		ResultSet rs = st.executeQuery();
		while(rs.next()){
			System.out.println("###"+rs.getString(1));
			if(rs.getString(1).equals("1")) return true;
			else return false;
			}
		}
		catch (SQLException ex) {System.out.println(ex);}
		finally{
			LoginAccess.closeConnection(conn);
		}
		return ret;
		
	}
	
	static ArrayList<ArrayList<String>> getData(String user,int version){
		ArrayList<ArrayList<String>> resumeData=new ArrayList<ArrayList<String>>();
		ArrayList<String> aad=new ArrayList<String>();
		ArrayList<String> aat=new ArrayList<String>();

		ArrayList<String> projT=new ArrayList<String>();
		ArrayList<String> projt=new ArrayList<String>();
		ArrayList<String> projg=new ArrayList<String>();
		ArrayList<String> projc=new ArrayList<String>();
		ArrayList<String> projd1=new ArrayList<String>();
		ArrayList<String> projd2=new ArrayList<String>();
		ArrayList<String> projd3=new ArrayList<String>();
		ArrayList<String> projd4=new ArrayList<String>();

		ArrayList<String> skilln=new ArrayList<String>();
		ArrayList<String> skills=new ArrayList<String>();

		ArrayList<String> ecd=new ArrayList<String>();
		ArrayList<String> ect=new ArrayList<String>();
		
		Connection conn=null;
		try{
			conn=LoginAccess.getConnection();
			String sql = "SELECT * from achievements where username=? and version=?";
	        PreparedStatement stmt = conn.prepareStatement(sql);
	        stmt.setString(1,user);
	        stmt.setInt(2,version);
	        ResultSet rs = stmt.executeQuery();
	        while(rs.next()){
	        	aad.add(rs.getString(4));
	        	aat.add(rs.getString(5));
	        }
	        
	        sql = "SELECT * from projects where username=? and version=?";
	        stmt = conn.prepareStatement(sql);
	        stmt.setString(1,user);
	        stmt.setInt(2,version);
	        rs = stmt.executeQuery();
	        while(rs.next()){
	        	projT.add(rs.getString(4));
	        	projt.add(rs.getString(5));
	        	projg.add(rs.getString(6));
	        	projc.add(rs.getString(7));
	        	projd1.add(rs.getString(8));
	        	projd2.add(rs.getString(9));
	        	projd3.add(rs.getString(10));
	        	projd4.add(rs.getString(11));
	        }
	        
	        sql = "SELECT * from skills where username=? and version=?";
	        stmt = conn.prepareStatement(sql);
	        stmt.setString(1,user);
	        stmt.setInt(2,version);
	        rs = stmt.executeQuery();
	        while(rs.next()){
	        	skilln.add(rs.getString(4));
	        	skills.add(rs.getString(5));
	        }
	        
	        sql = "SELECT * from extracurriculars where username=? and version=?";
	        stmt = conn.prepareStatement(sql);
	        stmt.setString(1,user);
	        stmt.setInt(2,version);
	        rs = stmt.executeQuery();
	        while(rs.next()){
	        	ecd.add(rs.getString(4));
	        	ect.add(rs.getString(5));
	        }
		}
		catch(SQLException e){System.out.println(e);}
		finally{
		LoginAccess.closeConnection(conn);
		resumeData.add(aad);
		resumeData.add(aat);
		resumeData.add(projT);
		resumeData.add(projt);
		resumeData.add(projg);
		resumeData.add(projc);
		resumeData.add(projd1);
		resumeData.add(projd2);
		resumeData.add(projd3);
		resumeData.add(projd4);
		resumeData.add(skilln);
		resumeData.add(skills);
		resumeData.add(ecd);
		resumeData.add(ect);
		
	}
		return resumeData;
}

	public static void personalInfo(String user){
		System.out.println("!!!!!!"+user);
		Connection conn=null;
		try{
			conn=LoginAccess.getConnection();
			String sql = "SELECT fname,mname,lname,rollno,dept,year,sex,dob,cpi,course from universitytable natural join fixed_info where username=?";
	        PreparedStatement stmt = conn.prepareStatement(sql);
	        stmt.setString(1,user);
	        ResultSet rs = stmt.executeQuery();
	        PrintWriter writer = new PrintWriter(dirc+"details.txt");
	        while(rs.next()){
	        	if(rs.getString(2)==null||"".equals(rs.getString(2))) writer.println(rs.getString(1)+" "+rs.getString(3));
	        	else writer.println(rs.getString(1)+" "+rs.getString(2)+" "+rs.getString(3));
	        	writer.println(rs.getString(4));
	        	writer.println(rs.getString(5));
	        	writer.println(rs.getString(6));
	        	writer.println(rs.getString(7));
	        	writer.println(rs.getString(8));
	        	writer.println(rs.getString(9));
	        	writer.println(rs.getString(10));
	        }
	        writer.close();
		}
		catch (SQLException ex) {System.out.println(ex);}
		catch (FileNotFoundException ex) {System.out.println(ex);}

		finally{
			LoginAccess.closeConnection(conn);
		}
	        
		
	}
	
	public static void deleteResume(String username,int version){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		if(version==0) {version=countResume(username)+1; System.out.println("VVV"+version);}
		else{
		String sqld = "delete from achievements where username=? and version=?";
        PreparedStatement stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from projects where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from skills where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from extracurriculars where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from submitted_resume where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
		}
		}
        
		catch (SQLException ex) {System.out.println(ex);}
		finally{
			LoginAccess.closeConnection(conn);
		}
	}
	
	public static int countResume(String username){
		int ret=0;
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT max(version) FROM submitted_resume where username=?");
		st.setString(1,username);
		ResultSet rs = st.executeQuery();
		rs.next();
		ret=rs.getInt("max");
		System.out.println("M="+ret);
		}
		catch (SQLException ex) {System.out.println(ex);}
		finally{
			LoginAccess.closeConnection(conn);
		}
		return ret;
	}

	public static void uploadData(String username,int version,ArrayList<ArrayList<String>> details){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		if(version==0) {version=countResume(username)+1; System.out.println("VVV"+version);}
		else{
		String sqld = "delete from achievements where username=? and version=?";
        PreparedStatement stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from projects where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from skills where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from extracurriculars where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
        sqld = "delete from submitted_resume where username=? and version=?";
        stmtd = conn.prepareStatement(sqld);
        stmtd.setString(1,username);
		stmtd.setInt(2,version);
        stmtd.execute();
		}
        
        
		for(int i=0;i<details.get(0).size();i++){
			String sql = "INSERT INTO achievements VALUES(?,?,?,?,?)";
			PreparedStatement stmt = conn.prepareStatement(sql);
			stmt.setString(1,username);
			stmt.setInt(2,version);
			stmt.setInt(3,i+1);
			stmt.setString(4, details.get(0).get(i));
			stmt.setString(5, details.get(1).get(i));
			stmt.execute();
		}
		
		for(int i=0;i<details.get(2).size();i++){
			String sql = "INSERT INTO projects VALUES(?,?,?,?,?,?,?,?,?,?,?)";
	        PreparedStatement stmt = conn.prepareStatement(sql);
	        stmt.setString(1,username);
	        stmt.setInt(2,version);
	        stmt.setInt(3,i+1);
	        stmt.setString(4, details.get(2).get(i));
	        stmt.setString(5, details.get(3).get(i));
	        stmt.setString(6, details.get(4).get(i));
	        stmt.setString(7, details.get(5).get(i));
	        stmt.setString(8, details.get(6).get(i));
	        stmt.setString(9, details.get(7).get(i));
	        stmt.setString(10, details.get(8).get(i));
	        stmt.setString(11, details.get(9).get(i));
	        stmt.execute();
		}
		
		for(int i=0;i<details.get(10).size();i++){
			String sql = "INSERT INTO skills VALUES(?,?,?,?,?)";
	        PreparedStatement stmt = conn.prepareStatement(sql);
	        stmt.setString(1,username);
	        stmt.setInt(2,version);
	        stmt.setInt(3,i+1);
	        stmt.setString(4, details.get(10).get(i));
	        stmt.setString(5, details.get(11).get(i));
	        stmt.execute();
		}
		
		for(int i=0;i<details.get(12).size();i++){
			String sql = "INSERT INTO extracurriculars VALUES(?,?,?,?,?)";
	        PreparedStatement stmt = conn.prepareStatement(sql);
	        stmt.setString(1,username);
	        stmt.setInt(2,version);
	        stmt.setInt(3,i+1);
	        stmt.setString(4, details.get(12).get(i));
	        stmt.setString(5, details.get(13).get(i));
	        stmt.execute();
		}
		}catch(SQLException e){System.out.println(e);}
		finally{
			LoginAccess.closeConnection(conn);
		}

	}

	
	public static void uploadDocuments(String id,String filename,File doc){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		String sql = "INSERT INTO documents VALUES(?,?,?)";
        PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1,id);
        stmt.setString(2,filename);        
        FileInputStream fis = new  FileInputStream(doc);
        stmt.setBinaryStream(3, fis, (int) doc.length());
        stmt.execute();
        
	}catch(SQLException e){System.out.println(e);}
	 catch(FileNotFoundException e){System.out.println(e);}
	 finally{
		LoginAccess.closeConnection(conn);
	 }
	}
	
	public static void deleteDocuments(String username,ArrayList<String> filename){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		for(int i=0;i<filename.size();i++){
			String sql = "DELETE FROM documents where username=? and docname=?";
			PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1,username);
        stmt.setString(2,filename.get(i));
        stmt.execute();
		}
	}catch(SQLException e){System.out.println(e);}
	 finally{
		LoginAccess.closeConnection(conn);
	 }
	}
	
	public static ArrayList<String> getUsersList(String pc){
		Connection conn=null;
		ArrayList<String> ret=new ArrayList<String>();
		try{
			System.out.println("entering getUsersList");
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT username FROM accounts where username<>?");
		st.setString(1,pc);
		ResultSet rs = st.executeQuery();
			while (rs.next()){
				ret.add(rs.getString(1));
				System.out.println(rs.getString(1));	
		    }
			rs.close();
			return ret;
		}catch(SQLException sqle){
			System.out.println("SQL exception when getting password");
			System.out.println(sqle);
			return ret;
		}
	 	finally{
	 		LoginAccess.closeConnection(conn);
	 	}
	}
	
	public static ArrayList<String> getDocsList(String user){
		Connection conn=null;
		ArrayList<String> ret=new ArrayList<String>();
		try{
		System.out.println("Entering getDocsList");
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT docname FROM documents where username=?");
		st.setString(1,user);
		System.out.println(user);
		ResultSet rs = st.executeQuery();
			while (rs.next()){
				ret.add(rs.getString(1));
				System.out.println(rs.getString(1));	
		    }
			rs.close();
			return ret;
		}catch(SQLException sqle){
			System.out.println("SQL exception when getting Get doc list");
			System.out.println(sqle);
			return ret;
		}
	 	finally{
	 		LoginAccess.closeConnection(conn);
	 	}
	}

	public static ArrayList<String> getCourseList(String user){
		Connection conn=null;
		ArrayList<String> ret=new ArrayList<String>();
		try{
		System.out.println("Entering getCourseList");
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT rollno FROM fixed_info where username=?");
		st.setString(1,user);
		ResultSet rs = st.executeQuery();
			while (rs.next()){
				System.out.println(rs.getString(1));
				PreparedStatement st2=conn.prepareStatement("SELECT distinct coursename FROM courses where rno=?");
				st2.setString(1,rs.getString(1));
				ResultSet rs2 = st2.executeQuery();
				while (rs2.next()){
					ret.add(rs2.getString(1));
					System.out.println("course "+rs2.getString(1));
				}
			}
			rs.close();
			return ret;
		}catch(SQLException sqle){
			System.out.println("SQL exception when getting password");
			System.out.println(sqle);
			return ret;
		}
	 	finally{
	 		LoginAccess.closeConnection(conn);
	 	}
	}
	
	public static void downloadDoc(String docname){
		Connection conn=null;
		File doc=new File("/tmp/"+docname);
		FileOutputStream fos=null;
		try{
		fos=new FileOutputStream(doc);
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT doc FROM documents where docname=? LIMIT 1");
		st.setString(1,docname);
		ResultSet rs = st.executeQuery();
		        if (rs != null) {
		            while (rs.next()) {
		            	byte[] fileBytes = new byte[1024];
		                InputStream is = rs.getBinaryStream("doc");
		                while (is.read(fileBytes) > 0) {
		                    fos.write(fileBytes);
		                }
		            }
		            rs.close();
		        }   
		}
		catch (IOException ex) {System.out.println("IO");}
		catch (SQLException ex) {System.out.println("SQLEXCP");System.out.println(ex);}
	 	finally{
	 		LoginAccess.closeConnection(conn);
	 	}
	}
	
	
	
	public static ArrayList<String> getVersionList(String username){
		Connection conn=null;
		ArrayList<String> ret=new ArrayList<String>();
		try{
		System.out.println("Entering getVersionList");
		conn=LoginAccess.getConnection();
		PreparedStatement st=conn.prepareStatement("SELECT version FROM submitted_resume where username=?");
		st.setString(1,username);
		ResultSet rs = st.executeQuery();
			while (rs.next()){
				ret.add(rs.getString(1));
				System.out.println(rs.getString(1));	
		    }
			rs.close();
			return ret;
		}catch(SQLException sqle){
			System.out.println("SQL exception when getting Get doc list");
			System.out.println(sqle);
			return ret;
		}
	 	finally{
	 		LoginAccess.closeConnection(conn);
	 	}
	}
	
	public static void verifyResume(String username,int version){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
			String sql = "UPDATE submitted_resume set verified='1' where username=? and version=?";
			PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1,username);
        stmt.setInt(2,version);
        stmt.execute();
		}
		catch(SQLException e){System.out.println(e);}
		finally{LoginAccess.closeConnection(conn);}
	}
	public static void revertverifyResume(String username,int version){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
			String sql = "UPDATE submitted_resume set verified='0' where username=? and version=?";
			PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1,username);
        stmt.setInt(2,version);
        stmt.execute();
		}
		catch(SQLException e){System.out.println(e);}
		finally{LoginAccess.closeConnection(conn);}
	}
	
	public static void addRemark(String username,int version,String remark){
		Connection conn=null;
		try{
		conn=LoginAccess.getConnection();
		String sql = "UPDATE submitted_resume SET remarks=? WHERE username=? AND version=?";
        PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1,remark);
        stmt.setString(2,username);
        stmt.setInt(3,version);        
        stmt.execute();        
	}catch(SQLException e){System.out.println(e);}
	 finally{LoginAccess.closeConnection(conn);}
	}
	
	public static String getRemarks(String username,int version){
		Connection conn=null;
		String ret="none";
		try{
		System.out.println("Entering getRemarks");
		conn=LoginAccess.getConnection();
		String sql = "select remarks from submitted_resume  WHERE username=? AND version=?";
        PreparedStatement stmt = conn.prepareStatement(sql);
        stmt.setString(1,username);
        stmt.setInt(2,version);
        ResultSet rs = stmt.executeQuery();
		while (rs.next()){
			ret=rs.getString(1);
			System.out.println(ret);
			return ret;
		}
		rs.close();
		return ret;
	}catch(SQLException e){System.out.println(e);}
	 finally{LoginAccess.closeConnection(conn);}
		return ret;
	}
	
	public static void removeResume(){
		try{
			System.out.println("Entering removeResume");
			String command = "rm -rf "+dirc+"temp.pdf";
			Process proc1 = Runtime.getRuntime().exec(command);
			proc1.waitFor();
			System.out.println("Resume Created");
		}catch(InterruptedException e){
		}catch(IOException e){
		}
	}
}