#include<bits/stdc++.h>
using namespace std;
ifstream theme("theme.txt",ios::in);
ifstream det("details.txt",ios::in);
ifstream ach("ach.txt",ios::in);
ifstream proj("proj.txt",ios::in);
ifstream skills("skills.txt",ios::in);
ifstream ec("ec.txt",ios::in);
ifstream courses("courses.txt",ios::in);
ofstream fin("temp.tex",ios::out);

int main(){
	string name,roll,dept,yr,gender,dob,cpi,course,cls;
	getline(theme,cls);
	getline(det,name);
	getline(det,roll);
	getline(det,dept);
	getline(det,yr);
	getline(det,gender);
	getline(det,dob);
	getline(det,cpi);
	getline(det,course);

	string header="\\documentclass[a4paper,11pt]{resume"+cls+"} \\renewcommand{\\thefootnote}{\\fnsymbol{footnote}} \\usepackage{tabularx} \\usepackage{graphicx} \\usepackage{multicol} \\usepackage{hyperref} \\usepackage[left=0.75in,top=0.6in,right=0.75in,bottom=0.6in]{geometry} \\begin{document}   ";
	string beg_sec=" \\begin{rSection}{Academic achievements}   \n ";
	string beg_list=" \\begin{list}{$\\cdot$}{\\leftmargin=0em} ";
	string list_end="\\end{list} ";
	string subsec_end="\\end{rSubsection} ";
	string sec_end="\\end{rSection} ";
	string doc_end="\\end{document} \\ldots{} and here it ends. \\end{document}";
	string personal="\\begin{minipage}[c]{0.15\\linewidth} \\includegraphics[scale=0.3]{iitb.jpg} \\end{minipage} {\\bf \\begin{tabular}{ p{0.54\\linewidth}p{0.25\\linewidth} } "+name+" & "+roll+"\\\\ "+dept+" & "+yr+" year \\\\ Indian Institute of Technology, Bombay & "+gender+" \\\\ "+course+"  & DOB: "+dob+" \\\\ \\end{tabular}} \\\\";
	cpi="\\begin{tabular}{p{0.17\\textwidth} p{0.14\\textwidth} p{0.39\\textwidth} p{0.07\\textwidth} p{0.07\\textwidth} } \\rule{\\textwidth}{2pt} \\\\ \\textbf{Examination}& \\textbf{University}&\\textbf{Institute}&\\textbf{Year}&\\textbf{CGPA/\\%} \\\\ \\rule[2pt]{\\textwidth}{1.5pt}\\\\ Graduation & IIT Bombay & IIT Bombay & 2015 & "+cpi+"\\\\ \\rule{\\textwidth}{1.5pt}\\end{tabular}\\bigskip \\bigskip \\\\";

	string a,t,t1;
	while(getline(ach,t)) { getline(ach,t1); a+=" \\item[$\\bullet$ ] "+t;if(t1!="")a+=" \\hfill{\\textbf{["+t1+"]}} \n";}
	fin<<header+personal+cpi;

	if(a!=" \\item[$\\bullet$ ] ") fin<<beg_sec+beg_list+a+list_end+sec_end;


	string proj_head="\\begin{rSection}{Projects and Experience} \\bigskip ";
	string p1,p2,p3,p4,p;
	getline(proj,t);
	while(getline(proj,p1)){
		if(p1=="*") break;
		getline(proj,p2);
		getline(proj,p3);
		getline(proj,p4);
		p+="\\begin{rSubsection}{"+p1+"}{"+p2+"}{"+p3+"}{"+p4+"} \n ";
		while(getline(proj,t)){
			if(t=="*") break;
			p+=" \\item[$\\bullet$ ] "+t+"\n";
		}
		if(p=="\\begin{rSubsection}{"+p1+"}{"+p2+"}{"+p3+"}{"+p4+"} \n ") p+=".";
		p+=subsec_end;
	}

	if(p!="") fin<<"\n"+proj_head+p+sec_end;


	string beg_sec1=" \\begin{rSection}{Skills}   \n ";a="";
	while(getline(skills,t)) { getline(skills,t1); a+=" \\item[$\\bullet$ ] \\textbf{"+t+"} $\\;$ : $\\;$";if(t1!="")a+=t1+" \n";}
	if(a!="") fin<<beg_sec1+beg_list+a+list_end+sec_end;

	string beg_sec3="\\bigskip \\begin{rSection}{Courses}   \n ";a="";
	while(getline(courses,t)) { a+=t+", ";}
	if(a!="") fin<<beg_sec3+a.substr(0,a.size()-2)+sec_end;

	string beg_sec2=" \\begin{rSection}{Extracurriculars}   \n ";a="";
	while(getline(ec,t)) { getline(ec,t1); a+=" \\item[$\\bullet$ ] "+t;if(t1!="")a+=" \\hfill{\\textbf{["+t1+"]}} \n";}
	if(a!="") fin<<beg_sec2+beg_list+a+list_end+sec_end;



	fin<<"\n"+doc_end;


}
